GDB (xrefs)

Enumerations | Functions | Variables
/tmp/gdb-8.1/gdb/ppc-linux-tdep.h File Reference
`#include "ppc-tdep.h"`

Go to the source code of this file.

## Enumerations
enum | { PPC_ORIG_R3_REGNUM = PPC_NUM_REGS, PPC_TRAP_REGNUM }

## Functions
const struct regset * | ppc_linux_gregset (int)
const struct regset * | ppc_linux_fpregset (void)
int | ppc_linux_trap_reg_p (struct gdbarch *gdbarch)

## Variables
struct target_desc * | tdesc_powerpc_32l
struct target_desc * | tdesc_powerpc_altivec32l
struct target_desc * | tdesc_powerpc_cell32l
struct target_desc * | tdesc_powerpc_vsx32l
struct target_desc * | tdesc_powerpc_isa205_32l
struct target_desc * | tdesc_powerpc_isa205_altivec32l
struct target_desc * | tdesc_powerpc_isa205_vsx32l
struct target_desc * | tdesc_powerpc_e500l
struct target_desc * | tdesc_powerpc_64l
struct target_desc * | tdesc_powerpc_altivec64l
struct target_desc * | tdesc_powerpc_cell64l
struct target_desc * | tdesc_powerpc_vsx64l
struct target_desc * | tdesc_powerpc_isa205_64l
struct target_desc * | tdesc_powerpc_isa205_altivec64l
struct target_desc * | tdesc_powerpc_isa205_vsx64l

## Enumeration Type Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
PPC_ORIG_R3_REGNUM |
PPC_TRAP_REGNUM |

Definition at line 35 of file ppc-linux-tdep.h.

## Function Documentation

## ◆ ppc_linux_fpregset()

const struct regset* ppc_linux_fpregset | ( | void |  | ) |

Definition at line 512 of file ppc-linux-tdep.c.

References ppc32_linux_fpregset.

Referenced by fill_fpregset(), and supply_fpregset().

## ◆ ppc_linux_gregset()

const struct regset* ppc_linux_gregset | ( | int |  | ) |

Definition at line 506 of file ppc-linux-tdep.c.

References ppc32_linux_gregset, ppc64_linux_gregset, and wordsize.

Referenced by fill_gregset(), and supply_gregset().

## ◆ ppc_linux_trap_reg_p()

int ppc_linux_trap_reg_p | ( | struct gdbarch * | gdbarch | ) |

Definition at line 707 of file ppc-linux-tdep.c.

References gdbarch_target_desc(), PPC_ORIG_R3_REGNUM, PPC_TRAP_REGNUM, register_size(), and tdesc_has_registers().

Referenced by fetch_ppc_registers(), ppc_linux_collect_gregset(), ppc_linux_sigtramp_cache(), ppc_linux_supply_gregset(), ppc_linux_write_pc(), and store_ppc_registers().

## Variable Documentation

## ◆ tdesc_powerpc_32l

struct target_desc* tdesc_powerpc_32l

Definition at line 8 of file powerpc-32l.c.

Referenced by initialize_tdesc_powerpc_32l(), ppc_linux_core_read_description(), and ppc_linux_read_description().

## ◆ tdesc_powerpc_64l

struct target_desc* tdesc_powerpc_64l

Definition at line 8 of file powerpc-64l.c.

Referenced by initialize_tdesc_powerpc_64l(), ppc_linux_core_read_description(), and ppc_linux_read_description().

## ◆ tdesc_powerpc_altivec32l

struct target_desc* tdesc_powerpc_altivec32l

Definition at line 8 of file powerpc-altivec32l.c.

Referenced by initialize_tdesc_powerpc_altivec32l(), ppc_linux_core_read_description(), and ppc_linux_read_description().

## ◆ tdesc_powerpc_altivec64l

struct target_desc* tdesc_powerpc_altivec64l

Definition at line 8 of file powerpc-altivec64l.c.

Referenced by initialize_tdesc_powerpc_altivec64l(), ppc_linux_core_read_description(), and ppc_linux_read_description().

## ◆ tdesc_powerpc_cell32l

struct target_desc* tdesc_powerpc_cell32l

Definition at line 8 of file powerpc-cell32l.c.

Referenced by initialize_tdesc_powerpc_cell32l(), ppc_linux_core_read_description(), and ppc_linux_read_description().

## ◆ tdesc_powerpc_cell64l

struct target_desc* tdesc_powerpc_cell64l

Definition at line 8 of file powerpc-cell64l.c.

Referenced by initialize_tdesc_powerpc_cell64l(), ppc_linux_core_read_description(), and ppc_linux_read_description().

## ◆ tdesc_powerpc_e500l

struct target_desc* tdesc_powerpc_e500l

Definition at line 8 of file powerpc-e500l.c.

Referenced by initialize_tdesc_powerpc_e500l(), and ppc_linux_read_description().

## ◆ tdesc_powerpc_isa205_32l

struct target_desc* tdesc_powerpc_isa205_32l

Definition at line 8 of file powerpc-isa205-32l.c.

Referenced by initialize_tdesc_powerpc_isa205_32l(), and ppc_linux_read_description().

## ◆ tdesc_powerpc_isa205_64l

struct target_desc* tdesc_powerpc_isa205_64l

Definition at line 8 of file powerpc-isa205-64l.c.

Referenced by initialize_tdesc_powerpc_isa205_64l(), and ppc_linux_read_description().

## ◆ tdesc_powerpc_isa205_altivec32l

struct target_desc* tdesc_powerpc_isa205_altivec32l

Definition at line 8 of file powerpc-isa205-altivec32l.c.

Referenced by initialize_tdesc_powerpc_isa205_altivec32l(), and ppc_linux_read_description().

## ◆ tdesc_powerpc_isa205_altivec64l

struct target_desc* tdesc_powerpc_isa205_altivec64l

Definition at line 8 of file powerpc-isa205-altivec64l.c.

Referenced by initialize_tdesc_powerpc_isa205_altivec64l(), and ppc_linux_read_description().

## ◆ tdesc_powerpc_isa205_vsx32l

struct target_desc* tdesc_powerpc_isa205_vsx32l

Definition at line 8 of file powerpc-isa205-vsx32l.c.

Referenced by initialize_tdesc_powerpc_isa205_vsx32l(), and ppc_linux_read_description().

## ◆ tdesc_powerpc_isa205_vsx64l

struct target_desc* tdesc_powerpc_isa205_vsx64l

Definition at line 8 of file powerpc-isa205-vsx64l.c.

Referenced by initialize_tdesc_powerpc_isa205_vsx64l(), and ppc_linux_read_description().

## ◆ tdesc_powerpc_vsx32l

struct target_desc* tdesc_powerpc_vsx32l

Definition at line 8 of file powerpc-vsx32l.c.

Referenced by initialize_tdesc_powerpc_vsx32l(), ppc_linux_core_read_description(), and ppc_linux_read_description().

## ◆ tdesc_powerpc_vsx64l

struct target_desc* tdesc_powerpc_vsx64l

Definition at line 8 of file powerpc-vsx64l.c.

Referenced by initialize_tdesc_powerpc_vsx64l(), ppc_linux_core_read_description(), and ppc_linux_read_description().